Subject: [Gen-art] Re: Gen-ART Review of draft-newman-i18n-comparator-06.txt

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 6 Mar 2006 07:00:12 -0600

Hi, Arnt,

I'm ok with most of your responses - just to follow up on a couple of places 
where my comment may not have been well-explained...

Spencer

From: "Arnt Gulbrandsen" <[email-masked]>

> Spencer Dawkins writes:
>> I was selected as General Area Review Team reviewer for this 
>> specification
>> (for background on Gen-ART, please see
>> http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>>
>> Is the following text
>> saying, "MAY return either "error" or "no-match" if the input strings are
>> not valid character strings ..."? The current text doesn't seem to say 
>> what
>> happens when the input strings aren't valid and the equality function
>> doesn't return "error", which is only a MAY strength ("so don't be 
>> surprised
>> when your server does this").
>>
>>   The equality function always returns "match" or "no-match" when
>>   supplied valid input, and MAY return "error" if the input strings are
>>   not valid character strings or violate other collation constraints.
>
> I'll have to think about this some more.
>
> The question is, should a collation be required to report "error" for 
> input outside its domain, or should it do whatever comes easiest?

I was thinking about this from the client's perspective (if the collation 
doesn't report "error", how does the client know to report anything to 
someone who might be able to fix the input?).

>> 7.1.  Collation Registration Procedure
>>
>> Spencer: I'm not trying to change existing practice, but the IESG is 
>> having
>> enough fun reviewing appeals these days that if the appeal track started
>> with the APPS area directors, I'm sure that the other ADs would be 
>> thrilled.
>> :-(
>
> I think I see what you're trying to say, but I'm feeling uncertain enough 
> that I'd appreciate some elaboration.
>
> Did you perhaps read the following text as saying that the designated 
> expert needs to be an IESG member?

No, I'm sorry that I wasn't clearer. I was trying to say that if the 
designated expert fumbles the evaluation, perhaps talking to an APPS-area AD 
would be sufficient to resolve most appeals, without involving the rest of 
the IESG, unless the APPS-area AD fumbles the first-level appeal.

If this stuff is already being appealed directly to IESG without a one-AD 
stop, I'm not trying to change anything. Scott, can you inject clue here?

>>   The IETF will create a mailing list, [email-masked], which can be
>>   used for public discussion of collation proposals prior to
>>   registration.  Use of the mailing list is encouraged but not
>>   required.  The actual registration procedure will not begin until the
>>   completed registration template is sent to [email-masked].  The IESG
>>   will appoint a designated expert who will monitor the
>>   [email-masked] mailing list and review registrations forwarded
>>   from IANA.  The designated expert is expected to tell IANA and the
>>   submitter of the registration within two weeks whether the
>>   registration is approved, approved with minor changes, or rejected
>>   with cause.  When a registration is rejected with cause, it can be
>>   re-submitted if the concerns listed in the cause are addressed.
>>   Decisions made by the designated expert can be appealed to the IESG
>>   and subsequently follow the normal appeals procedure for IESG
>>   decisions. 

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art